PlatformType (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.appdef.server.session.PlatformType class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef.server.session
Class PlatformType

    java.lang.Object
      org.hyperic.hibernate.PersistedObject
          org.hyperic.hq.appdef.AppdefBean
              org.hyperic.hq.appdef.server.session.AppdefResourceType
                  org.hyperic.hq.appdef.server.session.PlatformType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable, ContainerManagedTimestampTrackable

    public class PlatformType

extends AppdefResourceType

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hyperic.hq.appdef.server.session.AppdefResourceType
`description, name, sortName`

Fields inherited from class org.hyperic.hq.appdef.AppdefBean
`cid, creationTime, modifiedTime`

Constructor Summary
`protected` | `PlatformType()`
`` | `PlatformType(java.lang.String name, java.lang.String plugin)`

Method Summary
`protected Platform` | `create(AIPlatformValue aip, java.lang.String initialOwner, ConfigResponseDB config, Agent agent)` Create a new platform based on the AI platform value.
`protected Platform` | `create(PlatformValue pv, Agent agent, ConfigResponseDB config)`
`boolean` | `equals(java.lang.Object obj)`
`AppdefResourceTypeValue` | `getAppdefResourceTypeValue()`
`int` | `getAppdefType()`
`java.lang.String` | `getArch()`
`int` | `getAuthzType()`
`java.lang.String` | `getOs()`
`java.lang.String` | `getOsVersion()`
`protected java.util.Collection` | `getPlatformBag()`
`java.util.Collection` | `getPlatforms()`
`PlatformTypeValue` | `getPlatformTypeValue()` Deprecated. use (this) PlatformType object instead
`java.lang.String` | `getPlugin()`
`java.util.Collection` | `getServerTypes()`
`protected java.util.Collection` | `getServerTypesBag()`
`int` | `hashCode()`
`protected void` | `setArch(java.lang.String arch)`
`protected void` | `setOs(java.lang.String os)`
`protected void` | `setOsVersion(java.lang.String osVersion)`
`protected void` | `setPlatformBag(java.util.Collection platforms)`
`protected void` | `setPlugin(java.lang.String plugin)`
`protected void` | `setServerTypesBag(java.util.Collection servers)`

Methods inherited from class org.hyperic.hq.appdef.server.session.AppdefResourceType
`compareTo, getDescription, getName, getSortName, setDescription, setName, setSortName`

Methods inherited from class org.hyperic.hq.appdef.AppdefBean
`allowContainerManagedCreationTime, allowContainerManagedLastModifiedTime, getCid, getCreationTime, getCTime, getModifiedTime, getMTime, matchesValueObject, setCid, setCreationTime, setModifiedTime`

Methods inherited from class org.hyperic.hibernate.PersistedObject
`get_version_, getId, set_version_, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlatformType

    protected PlatformType()

### PlatformType

    public PlatformType(java.lang.String name,
                        java.lang.String plugin)

Method Detail

### getAuthzType

    public int getAuthzType()

  Specified by:
    `getAuthzType` in class `AppdefResourceType`

### getOs

    public java.lang.String getOs()

### setOs

    protected void setOs(java.lang.String os)

### getOsVersion

    public java.lang.String getOsVersion()

### setOsVersion

    protected void setOsVersion(java.lang.String osVersion)

### getArch

    public java.lang.String getArch()

### setArch

    protected void setArch(java.lang.String arch)

### getPlugin

    public java.lang.String getPlugin()

### setPlugin

    protected void setPlugin(java.lang.String plugin)

### getServerTypes

    public java.util.Collection getServerTypes()

### getServerTypesBag

    protected java.util.Collection getServerTypesBag()

### setServerTypesBag

    protected void setServerTypesBag(java.util.Collection servers)

### getPlatforms

    public java.util.Collection getPlatforms()

### getPlatformBag

    protected java.util.Collection getPlatformBag()

### setPlatformBag

    protected void setPlatformBag(java.util.Collection platforms)

### getAppdefType

    public int getAppdefType()

  Specified by:
    `getAppdefType` in class `AppdefResourceType`

### create

    protected Platform create(AIPlatformValue aip,
                              java.lang.String initialOwner,
                              ConfigResponseDB config,
                              Agent agent)

  Create a new platform based on the AI platform value.

### create

    protected Platform create(PlatformValue pv,
                              Agent agent,
                              ConfigResponseDB config)

### getPlatformTypeValue

    public PlatformTypeValue getPlatformTypeValue()

  Deprecated. use (this) PlatformType object instead

  legacy EJB DTO pattern

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `AppdefBean`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `AppdefBean`

### getAppdefResourceTypeValue

    public AppdefResourceTypeValue getAppdefResourceTypeValue()

  Specified by:
    `getAppdefResourceTypeValue` in class `AppdefResourceType`
  Returns:
    the type value object

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.